package com.bofeng.service;

import com.baomidou.mybatisplus.mapper.EntityWrapper;
import com.bofeng.dao.QzTaskDao;
import com.bofeng.dao.RbMapper;
import com.bofeng.entity.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;


@Service
public class RbService {

    @Autowired
    private RbMapper rbMapper;

    public List<sysUptownUnit> selectAll (Long userId) {
        List<sysUptownUnit> sysUptownUnits = rbMapper.selectDY(userId);
        return sysUptownUnits;
    }

    public List<SysUptownHouse> selectXq (Long str) {
//        userId = 1224706869998772226L;
//        List<SysUptownHouse> sysUptownHouses = rbMapper.selectList(new EntityWrapper<SysUptownHouse>().eq("ridgepole",ridgepole).eq("unit",unit));
        Date date = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String dateStr = simpleDateFormat.format(date);
        List<SysUptownHouse> sysUptownHousesss = rbMapper.selectMp(str,dateStr);
        return sysUptownHousesss;
    }

    public List<MsSuspected> selectYcXq (Long houseId) {
        Date date = new Date();
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String dateStr = simpleDateFormat.format(date);
        List<MsSuspected> sysUptownHouses = rbMapper.selectYcXq(houseId,dateStr);
        if(sysUptownHouses.size() !=0){
            for (int i = 0; i < sysUptownHouses.size(); i++) {


                if(sysUptownHouses.get(i).getCough()==0){
                    sysUptownHouses.get(i).setChestStr("无咳嗽");
                }else if(sysUptownHouses.get(i).getCough()==1){
                    sysUptownHouses.get(i).setChestStr("偶尔短暂咳嗽");
                }else if(sysUptownHouses.get(i).getCough()==2){
                    sysUptownHouses.get(i).setChestStr("频繁咳嗽轻重");
                }else if(sysUptownHouses.get(i).getCough()==3){
                    sysUptownHouses.get(i).setChestStr("频繁咳嗽重度");
                }
                if(sysUptownHouses.get(i).getMuscle()==0){
                    sysUptownHouses.get(i).setMuscleStr("无肌肉酸痛");
                }else if(sysUptownHouses.get(i).getMuscle()==1){
                    sysUptownHouses.get(i).setMuscleStr("肌肉酸痛加重");
                }else if(sysUptownHouses.get(i).getMuscle()==2){
                    sysUptownHouses.get(i).setMuscleStr("肌肉酸痛好转");
                }else if(sysUptownHouses.get(i).getMuscle()==3){
                    sysUptownHouses.get(i).setMuscleStr("肌肉酸痛无变化");
                }
                if(sysUptownHouses.get(i).getDyspnea()==0){
                    sysUptownHouses.get(i).setDyspneaStr("无呼吸困难");
                }else if(sysUptownHouses.get(i).getDyspnea()==1){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸困难加重");
                }else if(sysUptownHouses.get(i).getDyspnea()==2){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸困难好转");
                }else if(sysUptownHouses.get(i).getDyspnea()==3){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸困难无变化");
                }else if(sysUptownHouses.get(i).getDyspnea()==4){
                    sysUptownHouses.get(i).setDyspneaStr("呼吸困难严重");
                }
                if(sysUptownHouses.get(i).getChest()==0){
                    sysUptownHouses.get(i).setChestStr("无胸闷");
                }else if(sysUptownHouses.get(i).getChest()==1){
                    sysUptownHouses.get(i).setChestStr("端坐呼吸");
                }else if(sysUptownHouses.get(i).getChest()==2){
                    sysUptownHouses.get(i).setChestStr("活动无");
                }else if(sysUptownHouses.get(i).getChest()==3){
                    sysUptownHouses.get(i).setChestStr("无变化");
                }
                if(sysUptownHouses.get(i).getFatigue() == 0){
                    sysUptownHouses.get(i).setFatigueStr("无乏力");
                }else if(sysUptownHouses.get(i).getFatigue() == 1){
                    sysUptownHouses.get(i).setFatigueStr("乏力加重");
                }else if(sysUptownHouses.get(i).getFatigue() == 2){
                    sysUptownHouses.get(i).setFatigueStr("乏力好转");
                }else if(sysUptownHouses.get(i).getFatigue() == 3){
                    sysUptownHouses.get(i).setFatigueStr("乏力无变化");
                }
                if(sysUptownHouses.get(i).getDiarrhea() == 0){
                    sysUptownHouses.get(i).setDiarrheaStr("无腹泻");
                }else if(sysUptownHouses.get(i).getDiarrhea() == 1){
                    sysUptownHouses.get(i).setDiarrheaStr("有腹泻");
                }
                sysUptownHouses.get(i).setZhengzhuang(sysUptownHouses.get(i).getChestStr()+","+sysUptownHouses.get(i).getMuscleStr()+","+sysUptownHouses.get(i).getDyspneaStr()
                        +","+sysUptownHouses.get(i).getChestStr()+","+sysUptownHouses.get(i).getFatigueStr()+","+sysUptownHouses.get(i).getDiarrheaStr());
            }
        }

        return sysUptownHouses;
    }
}
